View Issue Details

IDProjectCategoryView StatusLast Update
0001127FreeCADBugpublic2013-07-01 09:37
Reporterdeblasio22 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001127: selftest errors
DescriptionError: testSaveAndRestore (UnicodeTests.DocumentSaveRestoreCases)
Traceback (most recent call last):
  File "/usr/lib/python2.6/unittest.py", line 279, in run
    testMethod()
  File "/usr/lib/freecad/Mod/Test/UnicodeTests.py", line 38, in testSaveAndRestore
    self.Doc.FileName = SaveName
AttributeError: Object attribute 'FileName' is read-only

Failure: testActivate (Workbench.WorkbenchTestCase)

Traceback (most recent call last):
  File "/usr/lib/python2.6/unittest.py", line 279, in run
    testMethod()
  File "/usr/lib/freecad/Mod/Test/Workbench.py", line 43, in testActivate
    self.failUnless(FreeCADGui.activeWorkbench().name()==i, "Test on activating workbench failed")
  File "/usr/lib/python2.6/unittest.py", line 325, in failUnless
    if not expr: raise self.failureException, msg
AssertionError: Test on activating workbench failed
Additional Informationrunning on ubunto 10.04 LTS
TagsNo tags attached.
FreeCAD Information

Activities

wmayer

2013-05-12 11:14

administrator   ~0003142

I guess this is/was only happening with the PPA version (using the latest version from Git master). This should be fixed in the meantime.

Issue History

Date Modified Username Field Change
2013-05-10 02:50 deblasio22 New Issue
2013-05-12 11:14 wmayer Note Added: 0003142
2013-07-01 09:37 wmayer Status new => closed
2013-07-01 09:37 wmayer Resolution open => fixed
2013-07-01 09:37 wmayer Fixed in Version => 0.14